@ECHO OFF
IF "%3"=="" GOTO USAGE
IF "%2"=="" GOTO USAGE
IF "%1"=="" GOTO USAGE
a65 -l -o -s -w80 %1.asm > %1.lst
hexbin %1.hex %1.dmp I 0000 FFFF 2 > nul
del %1.hex
makebin %1.dmp %2 %3
del %1.dmp
GOTO END
:USAGE
ECHO.
ECHO Usage:
ECHO         ASM65 MONITOR 1C00 1024   assembles MONITOR.ASM and generates
ECHO                                   MONITOR.LST and MONITOR.BIN suitable for
ECHO                                   burning to a 2708 eprom (1024 bytes)
ECHO                                   1C00 is the hex start address of where the
ECHO                                   eprom is mapped in memory (1C00 to 1FFF,
ECHO                                   1024 bytes)
ECHO.
ECHO         ASM65 TMPMPME 0800 4096   assembles TMPMPME.ASM and generates
ECHO                                   TMPMPME.LST and TMPMPME.BIN suitable for
ECHO                                   burning to a 2732 eprom (4096 bytes)
ECHO                                   0800 is the hex start address of where the
ECHO                                   eprom is mapped in memory (0800 to 17FF,
ECHO                                   4096 bytes)
:END
